<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:tns="http://schema.solution.ioc.ibm.com/ASKContent" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../../common_content/CommonContent.xsl"/>
	<xsl:output method="text" indent="yes" />

	<xsl:template match="/">#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# PID
# (C) Copyright IBM Corp. 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
dos2unix $IOC_BASE_DIR/variables.properties
source $IOC_BASE_DIR/variables.properties
source ~/.baprofile
su - $WAS_RUN_AS
chown -R $WAS_RUN_AS:$WAS_RUN_GROUP $IOC_BASE_DIR
cd $IOC_BASE_DIR

export SED_SCRIPT_NAME=com.ibm.ioc.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME

chown $WAS_RUN_AS:$WAS_RUN_GROUP $IOC_BASE_DIR/$SED_SCRIPT_NAME

RESTART_SLEEP_SECS=180

#su - $WAS_RUN_AS
#su $WAS_RUN_AS -c "$PORTAL_PROFILE_PATH/bin/startServer.sh $PORTAL_SERVER_NAME; sleep $RESTART_SLEEP_SECS"

		<xsl:for-each select="tns:askContent/*">
			<xsl:apply-templates select="."/><!-- Here to transform with common template first -->
			<xsl:variable name="nodeName" select="name(.)" />
			
			<xsl:choose>
				<xsl:when test="$nodeName='updatejar'">
###############################################################################
# Adding file <xsl:value-of select="@file" /> to <xsl:value-of select="@jar" />
###############################################################################

echo "# Replace parameters in file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace parameters in file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Update JAR <xsl:value-of select="@jar" />  with file <xsl:value-of select="@file" />"
echo "###############################################################################"

$WAS_INSTALL_LOCATION/java/bin/jar -uf <xsl:value-of select="@jar" /> <xsl:text> </xsl:text>  <xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to update JAR <xsl:value-of select="@jar" />  with file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>	
</xsl:stylesheet>
