# /*
#  * IBM Confidential OCO Source Material
#  *
#  * Licensed Materials - Property of IBM
#  * 
#  * (C) Copyright IBM Corp. 2011  All rights reserved.
#  *
#  * The source code for this program is not published or otherwise divested
#  * of its trade secrets, irrespective of what has been deposited with the
#  * U. S. Copyright Office.
#  *
#  * US Government Users Restricted Rights - Use, duplication or
#  * disclosure restricted by GSA ADP Schedule Contract with IBM
#  * Corp.
#  */

import sys
from time import sleep

execfile("lib/common.py" )
execfile("lib/propsfileprocs.py" )
# -----------------------------------------------------
# Ensure the user entered the correct argument(s)
# If not, display the command syntax and return
# -----------------------------------------------------
if (len(sys.argv) < 1):
        print "Syntax: GenericEvent_config.py propsFile [uninstall]"
        print "  where \"propsFile\" is the name of the properties file containing"
        print "  configuration information."
        sys.exit(0)
#endIf

# propsFile to be the first argument to this script.
propsFileName = sys.argv[0]
props = loadProperties(propsFileName)
cellName = props["cellName"]
nodeName = props["nodeName"]
serverName = props["serverName"]
create = 1

#is this an install or uninstall?
if (len(sys.argv) == 2):
        uninstall = sys.argv[1]
        if (uninstall == "uninstall"):
                create = 0
        #endIf
#endIf

trclevel = props["traceLevel"]
initTracelevel(trclevel)


#--------------------------------------------------------------------
# Create resources - order differs from Delete resources order
#--------------------------------------------------------------------
if (create):
	writemsg("Configuring resources for IBM Intelligent Operations Center using " + propsFileName )	
	#--------------------------------------------------------------------
	# Update Session TimeOut  
	#--------------------------------------------------------------------	
	writemsg("Updating Session TimeOut ")
	modifySessionTimeOut(props, create)		
#endif
#--------------------------------------------------------------------
# Delete Resource - different order from create sequence
#--------------------------------------------------------------------
else:
	#--------------------------------------------------------------------
	# Delete Session TimeOut  
	#--------------------------------------------------------------------	
	writemsg("Deleting Session TimeOut. ")
	modifySessionTimeOut(props, create)		
#endElse

# -------------------------------------------------------------------------
# Save or reset changes
# -------------------------------------------------------------------------
saveChanges(props["finalOperation"] )

if ( create ):
        writemsg("Finished configuring IBM Intelligent Operations Center resource" )
else:
        writemsg("Finished removal of IBM Intelligent Operations Center resource" )

