<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:tns="http://schema.solution.ioc.ibm.com/LDAPContent" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../../common_content/CommonContent.xsl"/>
	<xsl:output method="text" indent="yes" />

	<xsl:template match="/">#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# PID
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
dos2unix $IOC_BASE_DIR/variables.properties
source $IOC_BASE_DIR/variables.properties

cd $IOC_BASE_DIR

export SED_SCRIPT_NAME=com.ibm.ioc.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME


				<xsl:for-each select="tns:LDAPContent/*">
					<xsl:apply-templates select="."/><!-- Here to transform with common template first -->
					<xsl:variable name="nodeName" select="name(.)" />
					<xsl:choose>
					
						<xsl:when test="$nodeName='LDIF'">
						
###############################################################################
# Replace LDIF file <xsl:value-of select="@file" />
###############################################################################
echo "Replace LDIF file <xsl:value-of select="@file" />"

dos2unix <xsl:value-of select="@file" />
sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace RDIF file <xsl:value-of select="@file" />"
  exit 1
fi

							<xsl:choose>
								<xsl:when test="@mode = 'add'">
echo "###############################################################################"
echo "# Execute ldapadd command on LDIF file <xsl:value-of select="@file" />"
echo "###############################################################################"
$TDS_HOME/bin/ldapadd -h localhost -p $TDS_PORT -D $TDS_ADMIN_ACCOUNT -c -w $TDS_ADMIN_PASSWORD -i $IOC_BASE_DIR/<xsl:value-of select="@file" />
								</xsl:when>
								<xsl:when test="@mode = 'modify'">
echo "###############################################################################"
echo "# Execute ldapmodify command on LDIF file <xsl:value-of select="@file" />"
echo "###############################################################################"
$TDS_HOME/bin/ldapmodify -h localhost -p $TDS_PORT -D $TDS_ADMIN_ACCOUNT -c -w $TDS_ADMIN_PASSWORD -i $IOC_BASE_DIR/<xsl:value-of select="@file" />
								</xsl:when>
								<xsl:otherwise>
echo "###############################################################################"
echo "# LDAP command for mode: <xsl:value-of select="@mode" /> is not known"
echo "###############################################################################"
								</xsl:otherwise>
							</xsl:choose>
							
						</xsl:when>
						
					</xsl:choose>
					
				</xsl:for-each>

	</xsl:template>
	
</xsl:stylesheet>