#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

log.info "Starting to Backup LDAP Content."

mkdir $IOC_BACKUP_DIR
cd $IOC_BACKUP_DIR

###############################################################################
# TODO : Add backup code here
###############################################################################
echo TDS_HOME=$TDS_HOME
echo TDS_ADMIN_ACCOUNT=$TDS_ADMIN_ACCOUNT
echo TDS_ADMIN_PASSWORD=$TDS_ADMIN_PASSWORD
echo LDAP_INSTANCE_NAME=$LDAP_INSTANCE_NAME

###############################################################################
# stop ids servers
###############################################################################

$TDS_HOME/sbin/idsslapd -I $LDAP_INSTANCE_NAME -k
sleep 30

$TDS_HOME/sbin/idsdbback -I $LDAP_INSTANCE_NAME -k $IOC_BACKUP_DIR -b $IOC_BACKUP_DIR/LDAP.bak
RET_CODE=$?
echo "Return code from backup command is $RET_CODE" 

$TDS_HOME/sbin/idsslapd -I $LDAP_INSTANCE_NAME
sleep 30

if [ $RET_CODE -eq 0 ]
then
  log.info "Backup LDAP Content succeeded."
  exit 0
else
  log.info "Backup LDAP Content failed."
  exit 1
fi

