<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:tns="http://schema.solution.ioc.ibm.com/MonitorContent" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../../common_content/CommonContent.xsl"/>
	<xsl:output method="text" indent="yes" />
	
	<xsl:template match="/">#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# PID
# (C) Copyright IBM Corp. 2010, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
dos2unix $IOC_BASE_DIR/variables.properties
source ~/.baprofile
source $IOC_BASE_DIR/variables.properties

chown -R $WAS_RUN_AS:$WAS_RUN_GROUP $IOC_BASE_DIR
su - $WAS_RUN_AS
cd $IOC_BASE_DIR

export SED_SCRIPT_NAME=com.ibm.ioc.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME


chown $WAS_RUN_AS:$WAS_RUN_GROUP $IOC_BASE_DIR/$SED_SCRIPT_NAME

#$WBM_PROFILE_PATH/bin/startServer.sh $WBM_SERVER_NAME; sleep 10

		<xsl:for-each select="tns:monitorContent/*">
			<xsl:apply-templates select="."/><!-- Here to transform with common template first -->
			<xsl:variable name="nodeName" select="name(.)" />
			<xsl:choose>
				<xsl:when test="$nodeName='resource'">

###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "# Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />
if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Configure WBM with resource file <xsl:value-of select="@file" />             "
echo "###############################################################################"
dos2unix lib/propsfileprocs.py 

su $WAS_RUN_AS -c "$WBM_PROFILE_PATH/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $WBM_ACCOUNT -password $WBM_PASSWORD -lang jython -f lib/server_config.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"
su $WAS_RUN_AS -c "$WBM_PROFILE_PATH/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $WBM_ACCOUNT -password $WBM_PASSWORD -lang jython -wsadmin_classpath $WAS_INSTALL_LOCATION/plugins/com.ibm.wbimonitor.lifecycle.spi.jar -f lib/AssignWBMUsers.py"

if [ $? -ne 0 ]
then 
  echo "Failed to configure WAS with resource file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>

				<xsl:when test="$nodeName='resedit'">

###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "# Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />
if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Edit WBM resource with resource file <xsl:value-of select="@file" />             "
echo "###############################################################################"
dos2unix lib/propsfileprocs.py


su $WAS_RUN_AS -c "$WBM_PROFILE_PATH/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $WBM_ACCOUNT -password $WBM_PASSWORD -lang jython -f lib/server_edit.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"

if [ $? -ne 0 ]
then 
  echo "Failed to edit WAS with resource file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>
						
				<xsl:when test="$nodeName='appedit'">

###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "# Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />
if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Edit WBM application with resource file <xsl:value-of select="@file" />             "
echo "###############################################################################"
dos2unix lib/app_edit.py

su $WAS_RUN_AS -c "$WBM_PROFILE_PATH/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $WBM_ACCOUNT -password $WBM_PASSWORD -lang jython -f lib/app_edit.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"

if [ $? -ne 0 ]
then 
  echo "Failed to edit WBM application with resource file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>

				<xsl:when test="$nodeName='application'">
				
###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Install application with resource file <xsl:value-of select="@file" />       "
echo "###############################################################################"

su $WAS_RUN_AS -c "$WBM_PROFILE_PATH/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $WBM_ACCOUNT -password $WBM_PASSWORD -lang jython -f lib/app_install.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"

echo "###############################################################################"
echo "# Configure WBM with KPI Range Templates                                       "
echo "###############################################################################"

curl --insecure -H "Content-Type: application/json" -X POST  -d '{"id": "KpiRangeTemplates_","name": "KpiRangeTemplates", "owner": "", "templates": [{"0": {"name": "acceptable", "colorValue":"#8cc63f", "iconValue": null}, "1": {"name": "caution", "colorValue": "#fdb813", "iconValue": null}, "2": {"name": "take action", "colorValue": "#a91024", "iconValue":null}}]}' $PROTOCOL://$WBM_ACCOUNT:$WBM_PASSWORD@$DMZ_1_SERVER_HOSTNAME:$DEFAULT_HTTPS_PORT/rest/bpm/monitor/dashboards

if [ $? -ne 0 ]
then 
  echo "Failed to install application with resource file <xsl:value-of select="@file" />"
  exit 1
fi

					<xsl:if test="name(following-sibling::*[1]) != 'application'">
							
echo "###############################################################################"
echo "# Restart WebSphere Business Monitor                                                       " 
echo "###############################################################################"

echo "Stopping WebSphere Business Monitor Server"
#su - $WAS_RUN_AS -m -c "$WBM_PROFILE_PATH/bin/stopServer.sh  $WBM_SERVER_NAME -username $WBM_ACCOUNT -password $WBM_PASSWORD"
  
echo "Starting WebSphere Business Monitor Server"

#su - $WAS_RUN_AS -m -c "$WBM_PROFILE_PATH/bin/startServer.sh $WBM_SERVER_NAME"

					</xsl:if>

				</xsl:when>

				<xsl:when test="$nodeName='wsadmin'">

echo "###############################################################################"
echo "# Run wsadmin with jython file <xsl:value-of select="@file" />             "
echo "###############################################################################"
dos2unix $IOC_BASE_DIR/<xsl:value-of select="@file" />

su $WAS_RUN_AS -c "$WBM_PROFILE_PATH/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $WBM_ACCOUNT -password $WBM_PASSWORD -lang jython -f $IOC_BASE_DIR/<xsl:value-of select="@file" /> <xsl:value-of select="@params" />"

if [ $? -ne 0 ]
then 
  echo "Failed to wsadmin with jython file <xsl:value-of select="@file" />"
  exit 1
fi

					<xsl:if test="@restart = 'yes'">
							
echo "###############################################################################"
echo "# Restart WebSphere Business Monitor                                                       " 
echo "###############################################################################"

echo "Stopping WebSphere Business Monitor Server"
#su - $WAS_RUN_AS -m -c "$WBM_PROFILE_PATH/bin/stopServer.sh  $WBM_SERVER_NAME -username $WBM_ACCOUNT -password $WBM_PASSWORD"
  
echo "Starting WebSphere Business Monitor Server"
#su - $WAS_RUN_AS -m -c "$WBM_PROFILE_PATH/bin/startServer.sh $WBM_SERVER_NAME"

					</xsl:if>
				</xsl:when>

			</xsl:choose>

		</xsl:for-each>

	</xsl:template>
	
</xsl:stylesheet>
