# /*
#  * IBM Confidential OCO Source Material
#  *
#  * Licensed Materials - Property of IBM
#  * 
#  * (C) Copyright IBM Corp. 2011  All rights reserved.
#  *
#  * The source code for this program is not published or otherwise divested
#  * of its trade secrets, irrespective of what has been deposited with the
#  * U. S. Copyright Office.
#  *
#  * US Government Users Restricted Rights - Use, duplication or
#  * disclosure restricted by GSA ADP Schedule Contract with IBM
#  * Corp.
#  */

#******************************************************************************
# File Name:   app_edit.py
# Description: This file contains a  wsadmin script to edit the J2EE enterprise application
#              
#******************************************************************************

import sys

# Include common Jacl/wsadmin procedures
execfile("lib/common.py")
execfile("lib/propsfileprocs.py")
execfile("lib/application.py")

# -----------------------------------------------------
# Ensure the user entered the correct argument(s)
# If not, display the command syntax and return
# -----------------------------------------------------
if (len(sys.argv) < 1):
        print "Syntax: app_edit.py inputFile"
        print "  where \"inputFile\" is the name of the file containing"
        print "  configuration information."
        sys.exit(0)
#endIf 

# Set $propsFile to be the first argument to this script.
propsFileName = sys.argv[0]
props = loadProperties(propsFileName )
#appName = props["appName"]
trclevel = props["traceLevel"]
initTracelevel(trclevel)

# -------------------------------------------------------------------------
# Edit the Application
# -------------------------------------------------------------------------

writemsg("Edit BindJndiForEJBMessageBinding to application. " + propsFileName )
editBindJndiForEJBMessageBinding(props)


# -------------------------------------------------------------------------
# Save/Reset Changes
# -------------------------------------------------------------------------
saveChanges(props["finalOperation"] )
writemsg("Finished editing application(s)" )
