# /*
#  * IBM Confidential OCO Source Material
#  *
#  * Licensed Materials - Property of IBM
#  * 
#  * (C) Copyright IBM Corp. 2011  All rights reserved.
#  *
#  * The source code for this program is not published or otherwise divested
#  * of its trade secrets, irrespective of what has been deposited with the
#  * U. S. Copyright Office.
#  *
#  * US Government Users Restricted Rights - Use, duplication or
#  * disclosure restricted by GSA ADP Schedule Contract with IBM
#  * Corp.
#  */

#******************************************************************************
# File Name:   server_install.py
# Description: This file contains a  wsadmin script to install the Print-Verify-Ship J2EE
#              enterprise application
#******************************************************************************

import sys
def wsadminToList(inStr):
        outList=[]
        if (len(inStr)>0 and inStr[0]=='[' and inStr[-1]==']'):
                tmpList = inStr[1:-1].split(" ")
        else:
                tmpList = inStr.split("\n")  #splits for Windows or Linux
        for item in tmpList:
                item = item.rstrip();        #removes any Windows "\r"
                if (len(item)>0):
                        outList.append(item)
        return outList
#endDef

# Include common Jacl/wsadmin procedures
execfile("lib/common.py")
execfile("lib/propsfileprocs.py")


# -----------------------------------------------------
# Ensure the user entered the correct argument(s)
# If not, display the command syntax and return
# -----------------------------------------------------
if (len(sys.argv) < 1):
        print "Syntax: app_install.py inputFile [uninstall]"
        print "  where \"inputFile\" is the name of the file containing"
        print "  configuration information."
        sys.exit(0)
#endIf 

 

# propsFile to be the first argument to this script.
propsFileName = sys.argv[0]
props = loadProperties(propsFileName)
cellName = props["cellName"]
nodeName = props["nodeName"]
serverName = props["serverName"]
create = 1

#is this an install or uninstall?
if (len(sys.argv) == 2):
    uninstall = sys.argv[1]
    if (uninstall == "uninstall"):
        create = 0
    #endIf
#endIf

trclevel = props["traceLevel"]
initTracelevel(trclevel)

# -------------------------------------------------------------------------
# Install the Application
# -------------------------------------------------------------------------
if (create):
        writemsg("Installing Application(s)to WebSphere Application Server. " + propsFileName )
        manageApplications(props,create)
else:
        writemsg("Uninstalling Application(s) from WebSphere Application Server. " + propsFileName )
        manageApplications(props,create)
#endElse 

# -------------------------------------------------------------------------
# Save/Reset Changes
# -------------------------------------------------------------------------
saveChanges(props["finalOperation"] )
if (create):
        writemsg("Finished installing application(s)" )
else:
        writemsg("Finished uninstalling application(s)" )
#endElse 
