# /*
#  * IBM Confidential OCO Source Material
#  *
#  * Licensed Materials - Property of IBM
#  * 
#  * (C) Copyright IBM Corp. 2011  All rights reserved.
#  *
#  * The source code for this program is not published or otherwise divested
#  * of its trade secrets, irrespective of what has been deposited with the
#  * U. S. Copyright Office.
#  *
#  * US Government Users Restricted Rights - Use, duplication or
#  * disclosure restricted by GSA ADP Schedule Contract with IBM
#  * Corp.
#  *

import sys
from time import sleep

execfile("lib/common.py" )
execfile("lib/propsfileprocs.py" )
# -----------------------------------------------------
# Ensure the user entered the correct argument(s)
# If not, display the command syntax and return
# -----------------------------------------------------
if (len(sys.argv) < 1):
    print "Syntax: was_resources_config.py propsFile [uninstall]"
    print "  where \"propsFile\" is the name of the properties file containing"
    print "  configuration information."
    sys.exit(0)
#endIf

# propsFile to be the first argument to this script.
propsFileName = sys.argv[0]
props = loadProperties(propsFileName)
cellName = props["cellName"]
nodeName = props["nodeName"]
serverName = props["serverName"]
create = 1

#is this an install or uninstall?
if (len(sys.argv) == 2):
    uninstall = sys.argv[1]
    if (uninstall == "uninstall"):
        create = 0
    #endIf
#endIf

trclevel = props["traceLevel"]
initTracelevel(trclevel)

#--------------------------------------------------------------------
# Create resources - order differs from Delete resources order
#--------------------------------------------------------------------
if (create):
    writemsg("Configuring WAS Resources for IBM Intelligent Operations Center using " + propsFileName + " ...")
	
	
	#--------------------------------------------------------------------
	# Create JAAS Authentication Aliases
	#--------------------------------------------------------------------
    writemsg("********** Creating JAAS Authentication Aliases..." )
    manageJ2CAliases(props, create)
   
	
	
	
	#--------------------------------------------------------------------
	# Create Queue Connection Factory 
	#--------------------------------------------------------------------
    writemsg("********** Creating MQ Remote Queue Connection Factory" )
    manageRemoteQueueConnectionFactory(props, create )
		
	#--------------------------------------------------------------------
	# Create Queue Destination(s) 
	#--------------------------------------------------------------------
    writemsg("********** Creating Queue Destination(s)" )
    manageQueueDestination(props, create )
	
	
    #--------------------------------------------------------------------
    # Create CEI Events
    #--------------------------------------------------------------------
    writemsg("********** Creating CEI Events..." )     
    manageEventsGroups(props, create )
   
    
    #--------------------------------------------------------------------
    # Configure ListenerPorts
    #--------------------------------------------------------------------
    writemsg("********** configuring ListenerPorts..." )   
    manageListenerPorts(props, create)
#endElse 
	
#endif
#--------------------------------------------------------------------
# Delete Resource - different order from create sequence
#--------------------------------------------------------------------
else:
    writemsg("********** Deleting Resources of WBM using " + propsFileName )
	
	#--------------------------------------------------------------------
    # Configure ListenerPorts
    #--------------------------------------------------------------------
    writemsg("********** Deleting ListenerPorts..." )   
    manageListenerPorts(props, create)
    
    #--------------------------------------------------------------------
    # Create CEI Events
    #--------------------------------------------------------------------
    writemsg("********** Deleting CEI Events..." )     
    manageEventsGroups(props, create )
    
	#--------------------------------------------------------------------
	# Delete Queue Destination(s) 
	#--------------------------------------------------------------------
    writemsg("********** Deleting Queue Destination(s)" )
    manageQueueDestination(props, create )
	
    #--------------------------------------------------------------------
    # Delete Queue Connection Factory 
    #--------------------------------------------------------------------
    writemsg("********** Deleting MQ Queue Connection Factory" )
    manageRemoteQueueConnectionFactory(props, create )
	

	
	#--------------------------------------------------------------------
	# Delete JAAS Authentication Aliases
	#--------------------------------------------------------------------
    writemsg("********** Deleting JAAS Authentication Aliases..." )
    manageJ2CAliases(props, create )
	

    
    
    #--------------------------------------------------------------------
    # Delete CEI Events
    #--------------------------------------------------------------------
    writemsg("********** Deleting CEI Events..." )     
    manageEventsGroups(props, create )
    
    
    
#endElse

# -------------------------------------------------------------------------
# Save or reset changes
# -------------------------------------------------------------------------
saveChanges(props["finalOperation"] )

if (create):
    writemsg("Finished configuring IBM Intelligent Operations Center resources")
else:
    writemsg("Finished removal of IBM Intelligent Operations Center resources")
#endIf

