<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0" xmlns:tns="http://schema.solution.ioc.ibm.com/PortalContent" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:include href="../../common_content/CommonContent.xsl"/>
	<xsl:output method="text" indent="yes" />

	<xsl:template match="/">#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# PID
# (C) Copyright IBM Corp. 2012, 2010
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################
dos2unix $IOC_BASE_DIR/variables.properties
source $IOC_BASE_DIR/variables.properties
source ~/.baprofile
su - $WAS_RUN_AS
chown -R $WAS_RUN_AS:$WAS_RUN_GROUP $IOC_BASE_DIR
cd $IOC_BASE_DIR

export SED_SCRIPT_NAME=com.ibm.ioc.sed.script.txt
sed -e '/^#/d' $IOC_BASE_DIR/variables.properties | awk -F = '{print "s#~{" $1 "}#" substr($0,index($0,"=")+1) "#g"}' > $IOC_BASE_DIR/$SED_SCRIPT_NAME

chown $WAS_RUN_AS:$WAS_RUN_GROUP $IOC_BASE_DIR/$SED_SCRIPT_NAME

RESTART_SLEEP_SECS=120

su - $WAS_RUN_AS
su $WAS_RUN_AS -c "$PORTAL_PROFILE_PATH/bin/startServer.sh $PORTAL_SERVER_NAME; sleep $RESTART_SLEEP_SECS"

		<xsl:for-each select="tns:portalContent/*">
			<xsl:apply-templates select="."/><!-- Here to transform with common template first -->
			<xsl:variable name="nodeName" select="name(.)" />
			
			<xsl:choose>
				<xsl:when test="$nodeName='resource'">
###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "# Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Configure WAS with resource file <xsl:value-of select="@file" />             "
echo "###############################################################################"

su $WAS_RUN_AS -c "$WAS_INSTALL_LOCATION/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $DMGR_ACCOUNT -password $DMGR_PASSWORD -lang jython -f lib/server_config.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"

if [ $? -ne 0 ]
then 
  echo "Failed to configure WAS with resource file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>
				
				<xsl:when test="$nodeName='configengine'">

echo "###############################################################################"
echo "# Run configengine WebDAV file copy with archive file <xsl:value-of select="@file" /> and endpoint <xsl:value-of select="@endpoint" />"
echo "###############################################################################"

su $WAS_RUN_AS -c "$PORTAL_HOME/ConfigEngine/ConfigEngine.sh webdav-deploy-zip-file -DTargetURI=<xsl:value-of select="@endpoint" /> -DZipFilePath=$IOC_BASE_DIR/<xsl:value-of select="@file" /> -DUpdateMode=merge -DhostInJMX=localhost -DWasPassword=$DMGR_PASSWORD -DPortalAdminPwd=$PORTAL_PASSWORD"
if [ $? -ne 0 ]
then 
  echo "Fail to run configengine with archive file <xsl:value-of select="@file" /> and endpoint <xsl:value-of select="@endpoint" />"
  exit 1
fi
				</xsl:when>
				
				<xsl:when test="$nodeName='theme'">
###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "# Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Configure theme with resource file <xsl:value-of select="@file" />             "
echo "###############################################################################"

su $WAS_RUN_AS -c "$WAS_INSTALL_LOCATION/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $DMGR_ACCOUNT -password $DMGR_PASSWORD -lang jython -f lib/theme_config.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"

if [ $? -ne 0 ]
then 
  echo "Failed to configure theme with resource file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>
				
				<xsl:when test="$nodeName='application'">
###############################################################################
# Replace resource file <xsl:value-of select="@file" />
###############################################################################

echo "Replace resource file <xsl:value-of select="@file" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file" />"
  exit 1
fi

echo "###############################################################################"
echo "# Install application with resource file <xsl:value-of select="@file" />       "
echo "###############################################################################"

su $WAS_RUN_AS -c "$WAS_INSTALL_LOCATION/bin/wsadmin.sh -conntype SOAP -port $DMGR_SOAP_CONNECTOR_ADDRESS_PORT -user $DMGR_ACCOUNT -password $DMGR_PASSWORD -lang jython -f lib/server_install.py $IOC_BASE_DIR/<xsl:value-of select="@file" />"

if [ $? -ne 0 ]
then 
  echo "Failed to install application with resource file <xsl:value-of select="@file" />"
  exit 1
fi
				</xsl:when>
				
				<xsl:when test="$nodeName='xmlaccess'">
###############################################################################
# Replace resource file <xsl:value-of select="@file_in" />
###############################################################################

echo "Replace resource file <xsl:value-of select="@file_in" />"

sed -i -c -f $IOC_BASE_DIR/$SED_SCRIPT_NAME $IOC_BASE_DIR/<xsl:value-of select="@file_in" />

if [ $? -ne 0 ]
then 
  echo "Failed to replace resource file <xsl:value-of select="@file_in" />"
  exit 1
fi

echo "###############################################################################"
echo "# Run xmlaccess with resource file <xsl:value-of select="@file_in" />             "
echo "###############################################################################"

					<xsl:choose>
						<xsl:when test="@file_out">
su $WAS_RUN_AS -c "$PORTAL_HOME/bin/xmlaccess.sh -user $PORTAL_ACCOUNT -password $PORTAL_PASSWORD -url http://$PORTAL_HOSTNAME:$WEBSPHERE_PORTAL_WC_DEFAULTHOST_PORT/wps/config -in $IOC_BASE_DIR/<xsl:value-of select="@file_in" /> -out $IOC_BASE_DIR/<xsl:value-of select="@file_out" />"
						</xsl:when>
						<xsl:otherwise>
su $WAS_RUN_AS -c "$PORTAL_HOME/bin/xmlaccess.sh -user $PORTAL_ACCOUNT -password $PORTAL_PASSWORD -url http://$PORTAL_HOSTNAME:$WEBSPHERE_PORTAL_WC_DEFAULTHOST_PORT/wps/config -in $IOC_BASE_DIR/<xsl:value-of select="@file_in" />"
						</xsl:otherwise>
					</xsl:choose>

if [ $? -ne 0 ]
then 
  echo "Failed to run xmlaccess with resource file <xsl:value-of select="@file_in" />"
  exit 1
fi
				</xsl:when>

				<xsl:when test="$nodeName='transfer'">
echo "###############################################################################"
echo "# Transfer file <xsl:value-of select="@file_src" />       "
echo "###############################################################################"

CLASSPATH=$IOC_BASE_DIR/content/ioc/lib/jsch-0.1.49.jar
$JAVA_HOME/bin/java -classpath $CLASSPATH:$IOC_BASE_DIR/content/ioc/lib/transfer_component.jar transfer.component.SftpTransfer <xsl:value-of select="@svr_url" /><xsl:text> </xsl:text><xsl:value-of select="@port" /><xsl:text> </xsl:text><xsl:value-of select="@uid" /><xsl:text> </xsl:text><xsl:value-of select="@pwd" /><xsl:text> </xsl:text><xsl:value-of select="@file_src" /><xsl:text> </xsl:text><xsl:value-of select="@file_dest" /><xsl:text> </xsl:text><xsl:value-of select="@download_flag" />

if [ $? -ne 0 ]
then 
  echo "Failed to transfer file <xsl:value-of select="@file_src" />"
  exit 1
fi
				</xsl:when>
				
				<xsl:when test="$nodeName='preserveWarImages'">
echo "###############################################################################"
echo "# Preserving WAR images for: <xsl:value-of select="@ear" />.ear/<xsl:value-of select="@war" />.war"
echo "###############################################################################"

unzip -q $IOC_BASE_DIR/<xsl:value-of select="@earPath" />.ear -d $IOC_BASE_DIR/<xsl:value-of select="@ear" />
if [ $? -ne 0 ]
then 
  echo "Failed to unzip <xsl:value-of select="@earPath" />.ear."
  echo "Failed to preserve WAR images."
  exit 1
fi

unzip -q $IOC_BASE_DIR/<xsl:value-of select="@ear" />/<xsl:value-of select="@war" />.war -d $IOC_BASE_DIR/<xsl:value-of select="@war" />
if [ $? -ne 0 ]
then 
  echo "Failed to unzip <xsl:value-of select="@war" />.war."
  echo "Failed to preserve WAR images."
  exit 1
fi

EXISTING_IMG_DIR="$PORTAL_PROFILE_PATH/installedApps/$PORTAL_CELL_NAME/<xsl:value-of select="@ear" />.ear/<xsl:value-of select="@war" />.war/<xsl:value-of select="@images" />"
if [ -d ${EXISTING_IMG_DIR} ]
then
  echo "Copying ${EXISTING_IMG_DIR} to $IOC_BASE_DIR/<xsl:value-of select="@war" />/<xsl:value-of select="@images" />..."
  \cp -rf ${EXISTING_IMG_DIR}/* $IOC_BASE_DIR/<xsl:value-of select="@war" />/<xsl:value-of select="@images" />
else
  echo "Failed to copy image directory ${EXISTING_IMG_DIR}"
  echo "Failed to preserve WAR images."
  exit 1
fi

echo "Creating new <xsl:value-of select="@war" />.war containing existing WAR's images..."
cd $IOC_BASE_DIR/<xsl:value-of select="@war" />
$WAS_INSTALL_LOCATION/java/bin/jar cvfm ../<xsl:value-of select="@war" />.war META-INF/MANIFEST.MF *
if [ $? -ne 0 ]
then 
  echo "Failed to create new <xsl:value-of select="@war" />.war."
  echo "Failed to preserve WAR images."
  exit 1
fi
cd $IOC_BASE_DIR/

echo "Copying <xsl:value-of select="@war" />.war to $IOC_BASE_DIR/<xsl:value-of select="@ear" />/..."
\cp -rf <xsl:value-of select="@war" />.war $IOC_BASE_DIR/<xsl:value-of select="@ear" />/
cd $IOC_BASE_DIR/<xsl:value-of select="@ear" />
echo "Creating new <xsl:value-of select="@ear" />.ear containing new WAR..."
$WAS_INSTALL_LOCATION/java/bin/jar cvfm $IOC_BASE_DIR/<xsl:value-of select="@earPath" />.ear  META-INF/MANIFEST.MF *
if [ $? -ne 0 ]
then 
  echo "Failed to create new <xsl:value-of select="@ear" />.ear."
  echo "Failed to preserve WAR images."
  exit 1
fi
cd $IOC_BASE_DIR/

echo "Performing clean-up..."
\rm -rf $IOC_BASE_DIR/<xsl:value-of select="@ear" />/
if [ $? -ne 0 ]
then 
  echo "Failed to delete directory: $IOC_BASE_DIR/<xsl:value-of select="@ear" />/"
  exit 1
fi
\rm -rf $IOC_BASE_DIR/<xsl:value-of select="@war" />/
if [ $? -ne 0 ]
then 
  echo "Failed to delete directory: $IOC_BASE_DIR/<xsl:value-of select="@war" />/"
  exit 1
fi
\rm -rf $IOC_BASE_DIR/<xsl:value-of select="@war" />.war
if [ $? -ne 0 ]
then 
  echo "Failed to delete file: $IOC_BASE_DIR/<xsl:value-of select="@war" />.war"
  exit 1
fi
				</xsl:when>

				<xsl:when test="$nodeName='help'">
echo "###############################################################################"
echo "# Unzip help plugin file <xsl:value-of select="@zipfile" />             "
echo "###############################################################################"

if [ -d "$PORTAL_PROFILE_PATH/installedApps/$PORTAL_CELL_NAME/<xsl:value-of select="@earfilename" />/<xsl:value-of select="@warfilename" />/WEB-INF/eclipse/plugins" ]
then
	unzip $IOC_BASE_DIR/<xsl:value-of select="@zipfile" /> -d $PORTAL_PROFILE_PATH/installedApps/$PORTAL_CELL_NAME/<xsl:value-of select="@earfilename" />/<xsl:value-of select="@warfilename" />/WEB-INF/eclipse/plugins/
else
	echo "Skip to unzip help plugin file due to $PORTAL_PROFILE_PATH/installedApps/$PORTAL_CELL_NAME/<xsl:value-of select="@earfilename" />/<xsl:value-of select="@warfilename" />/WEB-INF/eclipse/plugins doesn't exist."
fi
				</xsl:when>
			</xsl:choose>
		</xsl:for-each>
	</xsl:template>	
</xsl:stylesheet>
