#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2012, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################

CUR_DIR=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
prod_exists="false"

# Set message variables
function iowmsg() {
	typeset -r msgkey=$1
	lang=`echo $LANG | awk -F"." '{print $1}'`
	lang=${lang:-en_US}
	MESSAGES_FILE="$CUR_DIR/${lang}/message.properties"
	[[ ! -f $MESSAGES_FILE ]] && lang=en_US
	line=$(grep "$msgkey" $MESSAGES_FILE)
	var=$(echo "$line" | sed -n -e 's/[^=]*=//p')
	echo $var
}


if [ -d "./SOLUTION" ]; then 
	\rm -rf ./spec/SOLUTION/
	\cp -R ./SOLUTION ./spec
else 
	echo "Command failed: Please import 'SOLUTION' directory provided with this build"
	exit 1
fi
chmod -R 755 ./spec/SOLUTION
sed -i 's/8.0.0.1/8.0.0.4/g' ./topology/water_wih_core_topo/IOW_CORE_MB/content/content-spec.xml
sed -i 's/8.0.0.1/8.0.0.4/g' ./topology/water_wih_core_topo/IOW_CORE_MLHUB/content/adapter/importWebServerCertificate.sh
sed -i 's/8.0.0.1/8.0.0.4/g' ./topology/water_content_cso_topo/CSO_MB/content/content-spec.xml
sed -i 's/8.0.0.1/8.0.0.4/g' ./topology/water_sunshine_topo/SUNSHINE_BASE_MB/content/content-spec.xml

echo "Installation files updated successfully"