#!/bin/sh
###############################################################################
# Licensed Materials - Property of IBM
# Restricted Materials of IBM
# <PID>
# (C) Copyright IBM Corp. 2012, 2013
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp
###############################################################################

CUR_DIR=$(cd -P -- "$(dirname -- "$0")" && pwd -P)

# Set message variables
function iopmsg() {
	typeset -r msgkey=$1
	lang=`echo $LANG | awk -F"." '{print $1}'`
	lang=${lang:-en_US}
	MESSAGES_FILE="$CUR_DIR/${lang}/message.properties"
	[[ ! -f $MESSAGES_FILE ]] && lang=en_US
	line=$(grep "$msgkey" $MESSAGES_FILE)
	var=$(echo "$line" | sed -n -e 's/[^=]*=//p')
	echo $var
}

			echo "Start delta install..."	
			
			iopmsg "messageid_CDIOW011I"
			$CUR_DIR/bin/ba.sh importSolution -f $CUR_DIR/IOW_1611.zip -p $1
			if [ $? -ne 0 ]
				then
				iopmsg "messageid_CDIOW014E"
				echo ""
				exit 1
			fi
			
			#echo "Prepare for delta install"
			rm -f $CUR_DIR/topology/water_wih_core_topo.xml
			mv $CUR_DIR/topology/water_wih_core_topo_delta.xml $CUR_DIR/topology/water_wih_core_topo.xml
			rm -f $CUR_DIR/topology/water_content_cso_topo.xml
			mv $CUR_DIR/topology/water_content_cso_topo_delta.xml $CUR_DIR/topology/water_content_cso_topo.xml
			rm -f $CUR_DIR/topology/water_content_wcp_topo.xml
			mv $CUR_DIR/topology/water_content_wcp_topo_delta.xml $CUR_DIR/topology/water_content_wcp_topo.xml
			rm -f $CUR_DIR/topology/water_content_eam_topo.xml
			mv $CUR_DIR/topology/water_content_eam_topo_delta.xml $CUR_DIR/topology/water_content_eam_topo.xml
			
			\cp -f $CUR_DIR/topology/water_wih_core_topo/IOW_CORE_DB/content/delta/install-Linux.sh $CUR_DIR/topology/water_wih_core_topo/IOW_CORE_DB/install-Linux.sh
			\cp -f $CUR_DIR/topology/water_wih_core_topo/IOW_CORE_MB/content/delta/content-spec.xml $CUR_DIR/topology/water_wih_core_topo/IOW_CORE_MB/content/content-spec.xml
			\cp -f $CUR_DIR/topology/water_wih_core_topo/IOW_CORE_PORTAL/content/delta/content-spec.xml $CUR_DIR/topology/water_wih_core_topo/IOW_CORE_PORTAL/content/content-spec.xml
			\cp -f $CUR_DIR/topology/water_content_cso_topo/CSO_DB/content/delta/content-spec.xml $CUR_DIR/topology/water_content_cso_topo/CSO_DB/content/content-spec.xml
			\cp -f $CUR_DIR/topology/water_content_wcp_topo/WCP_PORTAL/content/delta/content-spec.xml $CUR_DIR/topology/water_content_wcp_topo/WCP_PORTAL/content/content-spec.xml
			\cp -f $CUR_DIR/topology/water_content_wcp_topo/WCP_DB_DATA/content/delta/install-Linux.sh $CUR_DIR/topology/water_content_wcp_topo/WCP_DB_DATA/install-Linux.sh
			\cp -f $CUR_DIR/topology/water_content_wcp_topo/WCP_TDI/content/delta/install-Linux.sh $CUR_DIR/topology/water_content_wcp_topo/WCP_TDI/install-Linux.sh
			\cp -f $CUR_DIR/topology/water_content_wcp_topo/WCP_ANALYSIS/content/delta/install-Linux.sh $CUR_DIR/topology/water_content_wcp_topo/WCP_ANALYSIS/install-Linux.sh
			\cp -f $CUR_DIR/topology/water_content_wcp_topo/WCP_TOOL/content/delta/content-spec.xml $CUR_DIR/topology/water_content_wcp_topo/WCP_TOOL/content/content-spec.xml
			\cp -f $CUR_DIR/topology/water_content_eam_topo/EAM_PORTAL/content/delta/content-spec.xml $CUR_DIR/topology/water_content_eam_topo/EAM_PORTAL/content/content-spec.xml
			
												